<VirtualHost *:80>
	# The ServerName directive sets the request scheme, hostname and port that
	# the server uses to identify itself. This is used when creating
	# redirection URLs. In the context of virtual hosts, the ServerName
	# specifies what hostname must appear in the request's Host: header to
	# match this virtual host. For the default virtual host (this file) this
	# value is not decisive as it is used as a last resort host regardless.
	# However, you must set it for any further virtual host explicitly.
	ServerName connectandplay.nl

	ServerAdmin webmaster@localhost
	DocumentRoot /var/www/vhosts/connectandplay.nl/web

	<Directory /var/www/vhosts/connectandplay.nl/web>
		AllowOverride All
	</Directory>

        <FilesMatch \.php$>
           # For Apache version 2.4.10 and above, use SetHandler to run PHP as a fastCGI process server
           SetHandler "proxy:unix:/run/php/php7.4-fpm.sock|fcgi://localhost"
        </FilesMatch>

	# Available loglevels: trace8, ..., trace1, debug, info, notice, warn,
	# error, crit, alert, emerg.
	# It is also possible to configure the loglevel for particular
	# modules, e.g.
	#LogLevel info ssl:warn

	ErrorLog ${APACHE_LOG_DIR}/connectandplay.nl/production/error.log
	CustomLog ${APACHE_LOG_DIR}/connectandplay.nl/production/access.log combined
RewriteEngine on
RewriteCond %{SERVER_NAME} =connectandplay.nl
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>
<VirtualHost *:80>
        # The ServerName directive sets the request scheme, hostname and port that
        # the server uses to identify itself. This is used when creating
        # redirection URLs. In the context of virtual hosts, the ServerName
        # specifies what hostname must appear in the request's Host: header to
        # match this virtual host. For the default virtual host (this file) this
        # value is not decisive as it is used as a last resort host regardless.
        # However, you must set it for any further virtual host explicitly.
        ServerName www.connectandplay.nl

        ServerAdmin webmaster@localhost
        DocumentRoot /var/www/vhosts/connectandplay.nl/web

        <Directory /var/www/vhosts/connectandplay.nl/web>
                AllowOverride All
        </Directory>

       <FilesMatch \.php$>
           # For Apache version 2.4.10 and above, use SetHandler to run PHP as a fastCGI process server
           SetHandler "proxy:unix:/run/php/php7.4-fpm.sock|fcgi://localhost"
        </FilesMatch>

        # Available loglevels: trace8, ..., trace1, debug, info, notice, warn,
        # error, crit, alert, emerg.
        # It is also possible to configure the loglevel for particular
        # modules, e.g.
        #LogLevel info ssl:warn

        ErrorLog ${APACHE_LOG_DIR}/connectandplay.nl/production/error.log
        CustomLog ${APACHE_LOG_DIR}/connectandplay.nl/production/access.log combined
RewriteEngine on
RewriteCond %{SERVER_NAME} =www.connectandplay.nl
RewriteRule ^ https://%{SERVER_NAME}%{REQUEST_URI} [END,NE,R=permanent]
</VirtualHost>


# vim: syntax=apache ts=4 sw=4 sts=4 sr noet
